Security Alert: Update Your Browser

Browser Update Warning

Dear Account Holders,

In the past week an online security vulnerability has been discovered, that has the potential to compromise the computers of account holders accessing the Internet via outdated browsers, such as Internet Explorer versions 5 and 6. In our commitment to your security, and in keeping with industry standards, the Family of Banks will no longer support such browsers, effective late Wednesday, October 22nd.

If you currently utilize Internet Explorer versions 5 or 6, please take steps to update your browser, or consider installing an alternate web browser such as Google Chrome or Mozilla Firefox to minimize any negative impact.

The Family of Banks is grateful for your business and we appreciate your patience and understanding. Don’t hesitate to call us if we can be of further assistance.

Thank You,

The Family of Banks